=== modified file 'data/ClientFilter.js'
--- data/ClientFilter.js	2009-11-17 20:29:34 +0000
+++ data/ClientFilter.js	2009-11-20 15:17:02 +0000
@@ -1,7 +1,6 @@
-dojo.provide("dojox.data.ClientFilter");
-dojo.require("dojo.data.util.filter"); 
+dojo.module("dojox.data.ClientFilter", "dojo.data.util.filter", function(){
 // This is an abstract data store module for adding updateable result set functionality to an existing data store class
-(function(){
+function(){
 	var cf;
 	var addUpdate = function(store,create,remove){
 		// create a handler that adds to the list of notifications
@@ -289,4 +288,4 @@
 		}
 	);
 	cf.onUpdate = function(){};
-})();
+});

=== modified file 'data/JsonRestStore.js'
--- data/JsonRestStore.js	2009-11-13 23:23:36 +0000
+++ data/JsonRestStore.js	2009-11-20 15:17:02 +0000
@@ -1,7 +1,4 @@
-dojo.provide("dojox.data.JsonRestStore");
-
-dojo.require("dojox.data.ServiceStore");
-dojo.require("dojox.rpc.JsonRest");
+dojo.module("dojox.data.JsonRestStore", ["dojox.data.ServiceStore", "dojox.rpc.JsonRest"], function(){
 
 dojo.declare("dojox.data.JsonRestStore",
 	dojox.data.ServiceStore,
@@ -480,3 +477,5 @@
 	return null;
 };
 dojox.json.ref._useRefs = true; // Use referencing when identifiable objects are referenced
+
+});

=== modified file 'data/ServiceStore.js'
--- data/ServiceStore.js	2009-11-17 20:19:00 +0000
+++ data/ServiceStore.js	2009-11-20 15:17:02 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dojox.data.ServiceStore");
+dojo.module("dojox.data.ServiceStore", function(){
 
 // note that dojox.rpc.Service is not required, you can create your own services
 
@@ -388,3 +388,5 @@
 
 	}
 );
+
+});

=== modified file 'grid/DataGrid.js'
--- grid/DataGrid.js	2009-11-10 19:25:54 +0000
+++ grid/DataGrid.js	2009-11-20 15:17:02 +0000
@@ -1,7 +1,4 @@
-dojo.provide("dojox.grid.DataGrid");
-
-dojo.require("dojox.grid._Grid");
-dojo.require("dojox.grid.DataSelection");
+dojo.module("dojox.grid.DataGrid", ["dojox.grid._Grid", "dojox.grid.DataSelection"], function(){
 
 /*=====
 dojo.declare("dojox.grid.__DataCellDef", dojox.grid.__CellDef, {
@@ -620,3 +617,5 @@
 	return dojox.grid._Grid.markupFactory(props, node, ctor, 
 					dojo.partial(dojox.grid.DataGrid.cell_markupFactory, cellFunc));
 };
+
+});

=== modified file 'grid/DataSelection.js'
--- grid/DataSelection.js	2008-08-28 19:37:57 +0000
+++ grid/DataSelection.js	2009-11-20 15:17:02 +0000
@@ -1,5 +1,4 @@
-dojo.provide("dojox.grid.DataSelection");
-dojo.require("dojox.grid.Selection");
+dojo.module("dojox.grid.DataSelection", "dojox.grid.Selection", function(){
 
 dojo.declare("dojox.grid.DataSelection", dojox.grid.Selection, {
 	getFirstSelected: function(){
@@ -63,3 +62,5 @@
 		}
 	}
 });
+
+});

=== modified file 'grid/Selection.js'
--- grid/Selection.js	2009-09-26 14:42:10 +0000
+++ grid/Selection.js	2009-11-20 15:17:02 +0000
@@ -1,4 +1,4 @@
-dojo.provide('dojox.grid.Selection');
+dojo.module('dojox.grid.Selection', function(){
 
 dojo.declare("dojox.grid.Selection", null, {
 	// summary:
@@ -258,3 +258,5 @@
 		this._endUpdate();
 	}
 });
+
+});

=== modified file 'grid/TreeGrid.js'
--- grid/TreeGrid.js	2009-11-10 22:23:18 +0000
+++ grid/TreeGrid.js	2009-11-20 15:17:02 +0000
@@ -1,12 +1,6 @@
 dojo.experimental("dojox.grid.TreeGrid");
 
-dojo.provide("dojox.grid.TreeGrid");
-
-dojo.require("dojox.grid.DataGrid");
-dojo.require("dojox.grid._TreeView");
-dojo.require("dojox.grid.cells.tree");
-dojo.require("dojox.grid.TreeSelection");
-
+dojo.module("dojox.grid.TreeGrid", ["dojox.grid.DataGrid", "dojox.grid._TreeView", "dojox.grid.cells.tree", "dojox.grid.TreeSelection"], function(){
 dojo.declare("dojox.grid._TreeAggregator", null, {
 	cells: [],
 	grid: null,
@@ -937,3 +931,5 @@
 	}
 	return dojox.grid.DataGrid.markupFactory(props, node, ctor, cellFunc);
 };
+
+});

=== modified file 'grid/TreeSelection.js'
--- grid/TreeSelection.js	2009-09-30 15:50:57 +0000
+++ grid/TreeSelection.js	2009-11-20 15:17:02 +0000
@@ -1,6 +1,4 @@
-dojo.provide("dojox.grid.TreeSelection");
-
-dojo.require("dojox.grid.DataSelection");
+dojo.module("dojox.grid.TreeSelection", "dojox.grid.DataSelection", function(){
 
 dojo.declare("dojox.grid.TreeSelection", dojox.grid.DataSelection, {
 	setMode: function(mode){
@@ -206,3 +204,5 @@
 		func(inToStr);
 	}
 });
+
+});

=== modified file 'grid/_Builder.js'
--- grid/_Builder.js	2009-10-06 17:30:32 +0000
+++ grid/_Builder.js	2009-11-20 15:17:02 +0000
@@ -1,9 +1,5 @@
-dojo.provide("dojox.grid._Builder");
-
-dojo.require("dojox.grid.util");
-dojo.require("dojo.dnd.Moveable");
-
-(function(){
+dojo.module("dojox.grid._Builder", ["dojox.grid.util", "dojo.dnd.Moveable"], function(){
+
 	var dg = dojox.grid;
 
 	var getTdIndex = function(td){
@@ -728,4 +724,4 @@
 			return this._findOverlappingNodes(findTable(inNode), getTrIndex(inNode.parentNode), getTdIndex(inNode));
 		}
 	});
-})();
+});

=== modified file 'grid/_EditManager.js'
--- grid/_EditManager.js	2009-09-10 16:59:04 +0000
+++ grid/_EditManager.js	2009-11-20 15:17:02 +0000
@@ -1,6 +1,4 @@
-dojo.provide("dojox.grid._EditManager");
-
-dojo.require("dojox.grid.util");
+dojo.module("dojox.grid._EditManager", "dojox.grid.util", function(){
 
 dojo.declare("dojox.grid._EditManager", null, {
 	// summary:
@@ -236,3 +234,5 @@
 		}
 	}
 });
+
+});

=== modified file 'grid/_Events.js'
--- grid/_Events.js	2009-10-09 21:10:52 +0000
+++ grid/_Events.js	2009-11-20 15:17:02 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dojox.grid._Events");
+dojo.module("dojox.grid._Events", function(){
 
 dojo.declare("dojox.grid._Events", null, {
 	// summary:
@@ -490,3 +490,5 @@
 	onSelectionChanged: function(){
 	}
 });
+
+});

=== modified file 'grid/_FocusManager.js'
--- grid/_FocusManager.js	2009-10-29 14:37:34 +0000
+++ grid/_FocusManager.js	2009-11-20 15:17:02 +0000
@@ -1,6 +1,4 @@
-dojo.provide("dojox.grid._FocusManager");
-
-dojo.require("dojox.grid.util");
+dojo.module("dojox.grid._FocusManager", "dojox.grid.util", function(){
 
 // focus management
 dojo.declare("dojox.grid._FocusManager", null, {
@@ -566,3 +564,5 @@
 		dojo.toggleClass(e.target, this.focusClass, false);
 	}		
 });
+
+});

=== modified file 'grid/_Grid.js'
--- grid/_Grid.js	2009-11-14 00:18:40 +0000
+++ grid/_Grid.js	2009-11-20 15:17:02 +0000
@@ -1,25 +1,24 @@
-dojo.provide("dojox.grid._Grid");
-
-dojo.require("dijit.dijit");
-dojo.require("dijit.Menu");
-
-dojo.require("dojox.html.metrics");
-dojo.require("dojox.grid.util");
-dojo.require("dojox.grid._Scroller");
-dojo.require("dojox.grid._Layout");
-dojo.require("dojox.grid._View");
-dojo.require("dojox.grid._ViewManager");
-dojo.require("dojox.grid._RowManager");
-dojo.require("dojox.grid._FocusManager");
-dojo.require("dojox.grid._EditManager");
-dojo.require("dojox.grid.Selection");
-dojo.require("dojox.grid._RowSelector");
-dojo.require("dojox.grid._Events");
+dojo.module("dojox.grid._Grid", [
+
+"dijit.dijit",
+"dijit.Menu",
+
+"dojox.html.metrics",
+"dojox.grid.util",
+"dojox.grid._Scroller",
+"dojox.grid._Layout",
+"dojox.grid._View",
+"dojox.grid._ViewManager",
+"dojox.grid._RowManager",
+"dojox.grid._FocusManager",
+"dojox.grid._EditManager",
+"dojox.grid.Selection",
+"dojox.grid._RowSelector",
+"dojox.grid._Events"], function(){
 
 
 dojo.requireLocalization("dijit", "loading");
 
-(function(){
 	// NOTE: this is for backwards compatibility with Dojo 1.3
 	if(!dojo.isCopyKey){
 		dojo.isCopyKey = dojo.dnd.getCopyKeyState;
@@ -1378,4 +1377,4 @@
 
 		return new ctor(props, node);
 	};
-})();
+});

=== modified file 'grid/_Layout.js'
--- grid/_Layout.js	2009-09-10 16:59:04 +0000
+++ grid/_Layout.js	2009-11-20 15:17:02 +0000
@@ -1,6 +1,4 @@
-dojo.provide("dojox.grid._Layout");
-dojo.require("dojox.grid.cells");
-dojo.require("dojox.grid._RowSelector");
+dojo.module("dojox.grid._Layout", [ "dojox.grid.cells", "dojox.grid._RowSelector"], function(){
 
 dojo.declare("dojox.grid._Layout", null, {
 	// summary:
@@ -251,3 +249,4 @@
 		this.grid.setupHeaderMenu();
 	}
 });
+});

=== modified file 'grid/_RowManager.js'
--- grid/_RowManager.js	2009-09-10 16:59:04 +0000
+++ grid/_RowManager.js	2009-11-20 15:17:02 +0000
@@ -1,6 +1,6 @@
-dojo.provide("dojox.grid._RowManager");
+dojo.module("dojox.grid._RowManager",
 
-(function(){
+function(){
 	var setStyleText = function(inNode, inStyleText){
 		if(inNode.style.cssText == undefined){
 			inNode.setAttribute("style", inStyleText);
@@ -57,4 +57,4 @@
 			return (this.overRow == inRowIndex && !dojo.hasClass(this.grid.domNode, "dojoxGridColumnResizing"));
 		}
 	});
-})();
+});

=== modified file 'grid/_RowSelector.js'
--- grid/_RowSelector.js	2009-10-06 17:30:32 +0000
+++ grid/_RowSelector.js	2009-11-20 15:17:02 +0000
@@ -1,5 +1,4 @@
-dojo.provide("dojox.grid._RowSelector");
-dojo.require("dojox.grid._View");
+dojo.module("dojox.grid._RowSelector", "dojox.grid._View", function(){
 
 dojo.declare('dojox.grid._RowSelector', dojox.grid._View, {
 	// summary:
@@ -53,3 +52,5 @@
 		}
 	}
 });
+
+});

=== modified file 'grid/_Scroller.js'
--- grid/_Scroller.js	2009-09-10 16:59:04 +0000
+++ grid/_Scroller.js	2009-11-20 15:17:02 +0000
@@ -1,6 +1,6 @@
-dojo.provide("dojox.grid._Scroller");
+dojo.module("dojox.grid._Scroller", 
 
-(function(){
+function(){
 	var indexInParent = function(inNode){
 		var i=0, n, p=inNode.parentNode;
 		while((n = p.childNodes[i++])){
@@ -494,4 +494,4 @@
 		},
 		dummy: 0
 	});
-})();
+});

=== modified file 'grid/_Selector.js'
--- grid/_Selector.js	2009-10-06 17:30:32 +0000
+++ grid/_Selector.js	2009-11-20 15:17:02 +0000
@@ -1,10 +1,6 @@
-dojo.provide("dojox.grid._Selector");
-
-dojo.require("dojox.grid.Selection");
-dojo.require("dojox.grid._View");
-dojo.require("dojox.grid._Builder");
-
-(function(){
+dojo.module("dojox.grid._Selector", ["dojox.grid.Selection", "dojox.grid._View", "dojox.grid._Builder"],
+
+function(){
 	dojox.grid._InputSelectorHeaderBuilder = dojo.extend(function(view){
 		dojox.grid._HeaderBuilder.call(this, view);
 	},dojox.grid._HeaderBuilder.prototype,{
@@ -213,4 +209,4 @@
 			dojo.toggleClass(inputDiv, "dijitCheckBoxChecked", g.allItemsSelected);
 		}
 	});
-})();
+});

=== modified file 'grid/_TreeView.js'
--- grid/_TreeView.js	2009-11-10 22:23:18 +0000
+++ grid/_TreeView.js	2009-11-20 15:17:02 +0000
@@ -1,8 +1,4 @@
-dojo.provide("dojox.grid._TreeView");
-
-dojo.require("dijit._Widget");
-dojo.require("dijit._Templated");
-dojo.require("dojox.grid._View");
+dojo.module("dojox.grid._TreeView", ["dijit._Widget", "dijit._Templated", "dojox.grid._View"], function(){
 
 dojo.declare("dojox.grid._Expando", [ dijit._Widget, dijit._Templated ], {
 	open: false,
@@ -441,3 +437,5 @@
 		}
 	}
 });
+
+});

=== modified file 'grid/_View.js'
--- grid/_View.js	2009-11-14 00:18:40 +0000
+++ grid/_View.js	2009-11-20 15:17:02 +0000
@@ -1,15 +1,5 @@
-dojo.provide("dojox.grid._View");
-
-dojo.require("dijit._Widget");
-dojo.require("dijit._Templated");
-dojo.require("dojox.grid._Builder");
-dojo.require("dojox.html.metrics");
-dojo.require("dojox.grid.util");
-
-dojo.require("dojo.dnd.Source");
-dojo.require("dojo.dnd.Manager");
-
-(function(){
+dojo.module("dojox.grid._View", ["dijit._Widget", "dijit._Templated", "dojox.grid._Builder", "dojox.html.metrics", "dojox.grid.util", "dojo.dnd.Source", "dojo.dnd.Manager"], function(){
+
 	// private
 	var getStyleText = function(inNode, inStyleText){
 		return inNode.style.cssText == undefined ? inNode.getAttribute("style") : inNode.style.cssText;
@@ -827,4 +817,4 @@
 		}
 		return oldMakeAvatar.call(dojo.dnd.manager());
 	};
-})();
+});

=== modified file 'grid/_ViewManager.js'
--- grid/_ViewManager.js	2009-10-06 15:13:18 +0000
+++ grid/_ViewManager.js	2009-11-20 15:17:02 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dojox.grid._ViewManager");
+dojo.module("dojox.grid._ViewManager", function(){
 
 dojo.declare('dojox.grid._ViewManager', null, {
 	// summary:
@@ -300,3 +300,5 @@
 	}
 	
 });
+
+});

=== modified file 'grid/cells.js'
--- grid/cells.js	2008-07-10 18:09:06 +0000
+++ grid/cells.js	2009-11-20 15:17:02 +0000
@@ -1,2 +1,1 @@
-dojo.provide("dojox.grid.cells");
-dojo.require("dojox.grid.cells._base");
+dojo.module("dojox.grid.cells", "dojox.grid.cells._base");

=== modified file 'grid/cells/_base.js'
--- grid/cells/_base.js	2009-11-10 19:01:59 +0000
+++ grid/cells/_base.js	2009-11-20 15:17:02 +0000
@@ -1,7 +1,4 @@
-dojo.provide("dojox.grid.cells._base");
-
-dojo.require("dojox.grid.util");
-dojo.require("dijit._Widget");
+dojo.module("dojox.grid.cells._base", ["dojox.grid.util", "dijit._Widget"], function(){
 
 dojo.declare("dojox.grid._DeferredTextWidget", dijit._Widget, {
 	deferred: null,
@@ -17,7 +14,6 @@
 	}
 });
 
-(function(){
 	var focusSelectNode = function(inNode){
 		try{
 			dojox.grid.util.fire(inNode, "focus");
@@ -450,4 +446,4 @@
 	dgc.Bool.markupFactory = function(node, cell){
 		dgc.AlwaysEdit.markupFactory(node, cell);
 	};
-})();
+});

=== modified file 'grid/cells/tree.js'
--- grid/cells/tree.js	2009-08-13 13:47:10 +0000
+++ grid/cells/tree.js	2009-11-20 15:17:02 +0000
@@ -1,6 +1,4 @@
-dojo.provide("dojox.grid.cells.tree");
-
-dojo.require("dojox.grid.cells");
+dojo.module("dojox.grid.cells.tree", "dojox.grid.cells", function(){
 
 dojox.grid.cells.TreeCell = {
 	formatAggregate: function(inItem, level, inRowIndexes){
@@ -65,3 +63,5 @@
 		return result;
 	}
 };
+
+});

=== modified file 'grid/util.js'
--- grid/util.js	2009-07-24 01:46:26 +0000
+++ grid/util.js	2009-11-20 15:17:02 +0000
@@ -1,7 +1,7 @@
-dojo.provide("dojox.grid.util");
+dojo.module("dojox.grid.util", 
 
 // summary: grid utility library
-(function(){
+function(){
 	var dgu = dojox.grid.util;
 
 	dgu.na = '...';
@@ -65,4 +65,4 @@
 		inArray[inI] = inArray[inJ];
 		inArray[inJ] = cache;
 	};
-})();
+});

=== modified file 'html/metrics.js'
--- html/metrics.js	2009-04-22 21:48:49 +0000
+++ html/metrics.js	2009-11-20 15:17:02 +0000
@@ -1,6 +1,6 @@
-dojo.provide("dojox.html.metrics");
+dojo.module("dojox.html.metrics",
 
-(function(){
+function(){
 	var dhm = dojox.html.metrics;
 
 	//	derived from Morris John's emResized measurer
@@ -154,4 +154,4 @@
 			dhm.initOnFontResize();
 		}
 	});
-})();
+});

=== modified file 'json/ref.js'
--- json/ref.js	2009-10-19 19:30:38 +0000
+++ json/ref.js	2009-11-20 15:17:02 +0000
@@ -1,5 +1,4 @@
-dojo.provide("dojox.json.ref");
-dojo.require("dojo.date.stamp");
+dojo.module("dojox.json.ref", "dojo.date.stamp", function(){
 
 
 dojox.json.ref = {
@@ -352,3 +351,5 @@
 	_useRefs: false,
 	serializeFunctions: false
 }
+
+});

=== modified file 'rpc/JsonRest.js'
--- rpc/JsonRest.js	2009-10-29 16:38:29 +0000
+++ rpc/JsonRest.js	2009-11-20 15:17:02 +0000
@@ -1,10 +1,10 @@
-dojo.provide("dojox.rpc.JsonRest");
+dojo.module("dojox.rpc.JsonRest", [
 
-dojo.require("dojox.json.ref"); // this provides json indexing
-dojo.require("dojox.rpc.Rest");
+"dojox.json.ref", // this provides json indexing
+"dojox.rpc.Rest"],
 // summary:
 // 		Provides JSON/REST utility functions
-(function(){
+function(){
 	var dirtyObjects = [];
 	var Rest = dojox.rpc.Rest;
 	var jr;
@@ -452,6 +452,6 @@
 		}
 		
 	};
-})();
+});
 
 

=== modified file 'rpc/Rest.js'
--- rpc/Rest.js	2009-11-19 15:57:48 +0000
+++ rpc/Rest.js	2009-11-20 15:17:02 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dojox.rpc.Rest"); 
+dojo.module("dojox.rpc.Rest", function(){
 // Note: This doesn't require dojox.rpc.Service, and if you want it you must require it 
 // yourself, and you must load it prior to dojox.rpc.Rest.
 
@@ -19,7 +19,6 @@
 //  	| services.myRestService.put("parameters","data to put in resource");
 //  	| services.myRestService.post("parameters","data to post to the resource");
 //  	| services.myRestService['delete']("parameters");
-(function(){
 	if(dojox.rpc && dojox.rpc.transportRegistry){
 		// register it as an RPC service if the registry is available
 		dojox.rpc.transportRegistry.register(
@@ -131,4 +130,4 @@
 		// this is called to actually do the get
 		return index(dojo.xhrGet(service._getRequest(id, args)), service, (args.start >= 0 || args.count >= 0), id);
 	};
-})();
+});

=== modified file 'testing/DocTest.js'
--- testing/DocTest.js	2008-08-12 18:49:55 +0000
+++ testing/DocTest.js	2009-11-20 15:17:00 +0000
@@ -1,5 +1,4 @@
-dojo.provide("dojox.testing.DocTest");
-dojo.require("dojo.string");
+dojo.module("dojox.testing.DocTest", "dojo.string", function(){
 
 dojo.declare(
 	"dojox.testing.DocTest",
@@ -274,4 +273,5 @@
 			return ret;
 		}
 	}
-);
\ No newline at end of file
+);
+});

